Retrieve all cached tweet style profiles for your account
cURL
curl --request GET \ --url https://xquik.com/api/v1/styles \ --header 'x-api-key: <api-key>'
Documentation IndexFetch the complete documentation index at: https://docs.xquik.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.xquik.com/llms.txt
Use this file to discover all available pages before exploring further.
curl -X GET https://xquik.com/api/v1/styles \ -H "x-api-key: xq_YOUR_KEY_HERE" | jq
Show style object
{ "styles": [ { "xUsername": "elonmusk", "tweetCount": 20, "fetchedAt": "2026-02-24T10:30:00.000Z", "isOwnAccount": false }, { "xUsername": "sama", "tweetCount": 18, "fetchedAt": "2026-02-25T14:00:00.000Z", "isOwnAccount": false } ] }
{ "error": "unauthenticated", "message": "Missing or invalid API key" }
{ "error": "rate_limit_exceeded", "message": "Too many requests. Try again later.", "retryAfter": 1 }
Retry-After
Was this page helpful?